Subject: bug#13583: 24.3.50; Error when activating auto-revert-mode

From: Stefan Monnier <[email-masked]>
Date: Tue, 29 Jan 2013 10:10:07 -0500

> Cockipt error.  The doc string clearly says
>     "If non-nil Auto Revert Mode uses file notification functions.
>   This requires Emacs being compiled with file notification
>   support (see `auto-revert-notify-enabled').  You should set this
>   variable through Custom only."               ^^^^^^^^^^^^^^^^^^^
>   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> That's because this defcustom has a :set function defined for it; if
> that function isn't run, the results are unpredictable.
> Any reason not to close this bug?

It should be possible to have (setq auto-revert-use-notify nil) in your
.emacs and not use Custom.

        Stefan "who also uses Custom only for face settings"